﻿
@{
    ViewBag.Title = "All EcoSystems";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<div id="content" class="content">
   
    <div class="section-container section-with-top-border">

        <div class="row">
            <div class="col-md-4">
                <h4>EcoSystem</h4>
            </div>
            <div class="col-md-8 text-right" style="padding-right:35px" ;>
                <a href="~/EcoSystem/Create" class="btn btn-sm btn-inverse width-200">Add New EcoSystem</a>
            </div>
            
        </div>
        <!-- begin panel -->
        <div class="panel pagination-inverse m-b-0 clearfix">

            <table id="data-table" data-order='[[0,"asc"]]' class="table table-bordered table-hover">
                <thead>
                    <tr class="inverse">
                        <th>Eco System Name</th>
                        <th>Description</th>
                        <th data-sorting="disabled" style="pointer-events:none;">Action</th>
                        
                    </tr>
                </thead>


            </table>
        </div>
        <!-- end panel -->
    </div>

    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
    <!-- end #footer -->
</div>

<script>
    $(document).ready(function () {
        $("#data-table").DataTable({
            "processing": true, 
            "serverSide": true, 
            "filter": true, 
            "orderMulti": false, 
            "ajax": {
                "url": "/EcoSystem/LoadData",
                "type": "POST",
                "datatype": "json",
            },

            "columns": [
                { "data": "ecoSystemName", "name": "ecoSystemName" },
                { "data": "description", "name": "description" },
                {
                    render: function (data, type, full, meta) { return '<a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" title="Edit" href="/EcoSystem/Edit/' + full.id + '"><i class="fas fa-edit"></i></a> <a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" title="Delete" href="/EcoSystem/Delete/' + full.id + '"><i class="far fa-trash-alt"></i></a>'; }
                },
            ]
        });
    });
</script>
